Subject: Re: bug#900: procps: w does not query elogind for sessions

From: Andrew Bower <[email-masked]>
Date: Thu, 31 Jul 2025 23:38:20 +0100

On Thu, Jul 31, 2025 at 05:27:57PM +0100, Mark Hindley wrote:
> On Tue, Jul 29, 2025 at 09:26:52PM +0100, Andrew Bower wrote:
> > > I think not: I run it from the console, so it relies on login(1).
> > 
> > I take it from this that you currently don't get any login entries,
> > then?
> 
> I haven't upgraded to excalibur yet.
> 
> I have just updated procps in ceres to 2%4.0.4-9devuan1 which includes your fix
> for Debian#1108549.

Thanks for merging that!

> Once that is in the mirrors, perhaps you can see what does and doesn't work?

Unfortunately it doesn't make any difference on Devuan because the fixes
are in bits that are compiled out without libsystemd!

I think the locus of the work for Devuan (if we want to avoid libsystemd
in core tools, which is reasonable but has consequences) is that we need
to restore utmp-writing in other packages. That won't be fun or
comprehensive.

But it feels like we have lost some basic functionality expected by
Linux users the way things are.

Sorry I don't have a testbed or capacity to check a seatd environment
right now!